﻿
<style type="text/css">
    table {
        border-collapse: collapse;
    }

    img, a img {
        border: 0;
        outline: none;
        text-decoration: none;
    }

    p {
        margin: 1em 0;
        padding: 0;
    }
    .installmentstable {
        width: 100%;
    }

    tr {
        text-align: left;
    }

    .tr {
        font-weight: 600;
    }

    .td {
        width: 50%;
        border-left: 1px solid rgb(221, 221, 221);
        padding-left: 10px;
    }

    .hr {
        border-bottom: 1px solid #DDDDDD;
        margin-top: 5px;
        margin-bottom: 5px;
    }

    em {
        font-style: italic;
        color: #4350E6;
        font-size: 12px;
    }

    .details {
        display: block;
        margin-top: 50px;
        line-height: 25px;
        padding: 20px;
        border: solid 1px #DDDDDD;
        color: #FF8C00;
        font-family: lucida sans unicode,lucida grande,sans-serif;
        font-size: 14px;
        word-wrap: break-word;
    }

    .img-top {
        width: 100%;
        
    }

    #top-img-edge {
        
    }

    #bottom-img-edge {
        
    }
</style>
<body style="background-color: #f68c0f;font-family: arial;word-wrap: break-word;">

    <div style="border: none;background-color: #FFFFFF;word-wrap: break-word;">


<div style="margin-bottom: 10px;word-wrap: break-word;">
            
    <div style="width: 48%;text-align: center;float:left;">
                
                <span style="font-size: 14px;display: block;padding: 5px;height: 20px;line-height: 20px;border-bottom: 1px solid #ddd;word-wrap: break-word;">Date/Time</span>
                
                <span style="font-size: 14px;display: block;padding: 5px;height: 20px;line-height: 20px;color: rgb(0, 166, 81);">@Model.OrderPaidDate</span>
    </div>
    
    <div style="width: 48%;text-align: center;float:right;">
        
        <span style="font-size: 14px;display: block;padding: 5px;height: 20px;line-height: 20px;border-bottom: 1px solid #ddd;word-wrap: break-word;">Confirmation</span>
       
         <span style="font-size: 14px;display: block;padding: 5px;height: 20px;line-height: 20px;color: rgb(0, 166, 81);">@Model.OrderConfirmationId</span>
    </div>
</div>
<div style="margin-bottom: -4px;">
    <img src="@Model.RootSiteUrl/Images/Ico/mail-edge-up.png" style="width:100%;height: 10px !important;margin-bottom: -4px !important;" />
</div>
<div style="min-height: .01%;overflow-x: auto;background-color: #eee;text-align: center;padding: 10px;">
    <table style="width: 100%;font-size: 14px;color: rgb(85, 85, 85);">

        <thead>
            <tr class="tr">

                <th>Participant</th>
                <th>Program</th>
                <th>Price</th>
            </tr>
        </thead>
        @foreach (var item in Model.ReservationItems)
            {
            <tbody>
                <tr>
                    <td style="width: 20%;vertical-align: sub;">@item.PlayerFullName</td>

                    <td class="td">

                        <a href="@item.EventUrl">@item.EventName</a>
                        <br />
                        @if (!string.IsNullOrEmpty(item.DayAndTime))
                        {
                            <div>@item.DayAndTime</div>
                        }

                        @if (item.OrderCharges != null && item.OrderCharges.Count > 0)
                        {
                            <div style="font-size: 12px;">
                                @foreach (var charge in item.OrderCharges)
                                {
                                    <br />
                                    <text>
                                        @string.Format("{0}: {1}", charge.DetailName, charge.Price)
                                    </text>
                                }
                            </div>
                        }
                        @if (item.OrderDiscounts != null && item.OrderDiscounts.Count > 0)
                        {
                            <div style="font-size: 12px; color:#00B453; ">
                                @foreach (var discount in item.OrderDiscounts)
                                {
                                    <br />
                                    <span> @string.Format("{0}: {1}", discount.DetailName, discount.Price)</span>
                                }
                            </div>
                        }
                        @if (item.AdditionalParameters != null && item.AdditionalParameters.Count > 0)
                        {
                            <div class="hr"></div>
                            <div>
                                @foreach (var addItem in item.AdditionalParameters)
                                {
                                    <br />
                                            @addItem
                                }
                            </div>
                        }
                        @if (item.OrderInstallments != null && item.OrderInstallments.Count > 0)
                        {
                            <div class="hr"></div>
                            <div>
                                <em>
                                    @foreach (var installment in item.OrderInstallments)
                                    {

                                        <span> @string.Format("{0}: {1}", installment.InstallmentDate, installment.Amount)</span>
                                                <br />
                                    }

                                </em>
                            </div>
                        }

                    </td>

                    <td style="width: 30%;vertical-align: sub;">@item.Price</td>
                </tr>

            
            </tbody>
        }
        <tr>
            <td></td>
            <td style="font-weight: bold;color: green;">Total:  </td>
            <td style="font-weight: bold;color: green;">@Model.PaidAmount</td>
        </tr>
    </table>

</div>
<div  style="margin-top: -4px;">
    <img style="width: 100%;height: 10px !important;margin-bottom:4px !important;" src="@Model.RootSiteUrl/Images/Ico/mail-edge-dwn.png" />
</div>
        <center>

            @if (!string.IsNullOrEmpty(Model.Location))
            {
                <tr>
                    <td style="padding: 0px 30px;">
                        <center>
                            <table width="100%" align="center" border="0" cellpadding="10" cellspacing="0" height="100%">
                                <tbody>

                                    <tr>
                                        <td>
                                            <table width="100%" align="" cellpadding="0" cellspacing="0">
                                                <tbody>
                                                    <tr>
                                                        <td style="padding-right:10px;vertical-align:top" width="20" align="" height=""></td>

                                                        <td style="padding-bottom:10px" width="" align="" height="">
                                                            <a style="color:rgb(16,144,186);font-family:'Helvetica neue',Helvetica,arial,sans-serif;text-decoration:none" href="http://maps.google.com/maps?q=@Model.Location" target="_blank"><img src="http://maps.googleapis.com/maps/api/staticmap?size=483x160&amp;zoom=13&amp;markers=@Model.Lat,@Model.Lng" title="map" style="width: 483px; min-height: 160px;" alt="map" class="CToWUd" width="483" border="0" height="160" /></a>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="padding-right:10px;vertical-align:top" width="20" align="" height="">

                                                            <img src="@Model.RootSiteUrl/Images/Ico/address.png" title="date" style="width:20px;vertical-align:-4px;min-height:20px" alt="date" class="CToWUd" width="20" border="0" height="20" />
                                                        </td>

                                                        <td style="padding-bottom:10px" width="" align="" height="">@Model.Location</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </center>
                    </td>
                </tr>
            }

            @if (!string.IsNullOrEmpty(Model.InstallmentsBody))
            {
                <tr>
                    <td>
                        <table style="float:left" class="installmentstable" align="right" border="0" cellpadding="0" cellspacing="0">
                            <tbody>
                                <tr style="background-color: #eee;">
                                    <td style="line-height:200%;text-align:left" valign="top">
                                        @Html.Raw(Model.InstallmentsBody)
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
            }

            @if (!string.IsNullOrEmpty(Model.FollowUpForms))
            {
                <tr>
                    <td style="padding: 0 20px;">
                        <table style="width:100%;float:left;display:block;" align="right" border="0" cellpadding="0" cellspacing="0">
                            <tbody>
                                <tr>
                                    <td style="line-height:200%;text-align:left" valign="top">
                                        @Html.Raw(Model.FollowUpForms)
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
            }

            <tr>
                <td style="padding-top:9px; padding-bottom:9px; padding-right:18px;"></td>
            </tr>

            @if (Model.EmailMode == SportsClub.Models.Email.ReservationEmailMode.Normal)
            {
                if (!string.IsNullOrEmpty(Model.AppliedText) || !string.IsNullOrEmpty(Model.PayPalInfo))
                {
                    <tr>
                        <td style="padding-top:9px; padding-bottom:9px; padding-right:18px;">
                            <table class="mcnTextContentContainer" style="border: 1px solid #DDDDDD;" width="100%" border="0" cellpadding="18" cellspacing="0">
                                <tbody>
                                    <tr>
                                        <td class="mcnTextContent" style="line-height: 200%; text-align: left;" valign="top">
                                            @if (Model.OrderMode == OrderMode.Online && Model.AppliedText != "Other")
                                            {
                                                <span style="color: #FF8C00;font-family: lucida sans unicode,lucida grande,sans-serif;font-size: 14px;">@Model.AppliedText</span>

                                                <br />

                                            }
                                         
                                            <span style="color: #FF8C00;font-family: lucida sans unicode,lucida grande,sans-serif;font-size: 14px;">@Model.OrderPaidDate @Model.PayPalInfo</span>

                                            @if (!string.IsNullOrEmpty(Model.PaymentMethodMessage) && Model.OrderMode == OrderMode.Online)
                                            {
                                                <br />
                                                    <span style="color: #FF8C00; font-family: lucida sans unicode,lucida grande,sans-serif;font-size: 14px;">@Model.PaymentMethodMessage</span>
                                            }
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                }

                if (!string.IsNullOrEmpty(Model.PaymentInstruction) && Model.OrderMode == OrderMode.Online)
                {
                    <tr>
                        <td style="padding-top:9px; padding-left:18px; padding-bottom:9px; padding-right:18px;">
                            <table class="mcnTextContentContainer" style="border: 1px solid #DDDDDD;" width="100%" border="0" cellpadding="18" cellspacing="0">
                                <tbody>
                                    <tr>
                                        <td class="mcnTextContent" style="line-height: 200%; text-align: left;" valign="top">
                                            <span style="color: rgb(85, 85, 85); font-family: lucida sans unicode,lucida grande,sans-serif;font-size: 14px;">Payment instructions:</span>
                                            <br />
                                            <span style="color: rgb(85, 85, 85); font-family: lucida sans unicode,lucida grande,sans-serif;font-size: 14px;">@Model.PaymentInstruction</span>

                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                }
            }
            </tbody>

            </table>
            </td>
            </tr>
            </tbody>
            </table>
        </center></div>
</body>


